> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List channels

> List channels

### Query parameters

<ParamField query="channel_type" type="string" />

<ParamField query="status" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ChannelListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/channels' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "channels": [
      {
        "api_locked": true,
        "channel_type": "string",
        "created_at": "string",
        "id": "string",
        "integration": null,
        "name": "string",
        "status": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
